from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.task import XInteractionContinuation

@runtime_checkable
class XInteractionSupplyAuthentication(XInteractionContinuation, Protocol):
    def canSetRealm(self) -> bool: ...
    def setRealm(self, Realm: str) -> None: ...
    def canSetUserName(self) -> bool: ...
    def setUserName(self, UserName: str) -> None: ...
    def canSetPassword(self) -> bool: ...
    def setPassword(self, Password: str) -> None: ...
    def getRememberPasswordModes(self, Default: RememberAuthentication) -> list[RememberAuthentication]: ...
    def setRememberPassword(self, Remember: RememberAuthentication) -> None: ...
    def canSetAccount(self) -> bool: ...
    def setAccount(self, Account: str) -> None: ...
    def getRememberAccountModes(self, Default: RememberAuthentication) -> list[RememberAuthentication]: ...
    def setRememberAccount(self, Remember: RememberAuthentication) -> None: ...
